> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive external account

> Archives an external account for a business. This action will prevent the account from syncing new transactions and will remove the account from the Layer dashboard. Past synced transactions will remain.



## OpenAPI

````yaml post /v1/businesses/{businessId}/external-accounts/{externalAccountId}/archive
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/external-accounts/{externalAccountId}/archive:
    post:
      tags: []
      summary: Archive external account
      description: >-
        Archives an external account for a business. This action will prevent
        the account from syncing new transactions and will remove the account
        from the Layer dashboard. Past synced transactions will remain.
      operationId: business.external-accounts.archive.post
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business to archive external account for.
          required: true
          schema:
            type: string
        - name: externalAccountId
          in: path
          description: The UUID of the external account to archive.
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json
          schema:
            type: string
      responses:
        '200':
          description: External account archived successfully
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmptyResponse'
        '404':
          description: >-
            Business id or external account id is not found. This indicates the
            business id is invalid or the business has been archived, or the
            external account id is invalid or the external account has been
            deleted.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      deprecated: false
components:
  schemas:
    EmptyResponse:
      type: object
      properties:
        type:
          type: string
          description: >-
            Resource type. Value will be
            'com.layerfi.controllers.EmptyResponse'.
          example: '{}'
    ApiError:
      type: object
      properties: {}
      example: ''
      description: ''
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````